Bug 1304606 - Style=Simple (and others) broken, menu text wrong color, missing window frame for some applications (GTK3?)
Style=Simple (and others) broken, menu text wrong color, missing window frame...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-themes (Show other bugs)
23
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-04 02:13 EST by Paul DeStefano
Modified: 2016-12-20 13:43 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:25:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of menu problem. (103.21 KB, image/png)
2016-02-04 02:13 EST, Paul DeStefano
no flags Details

  None (edit)
Description Paul DeStefano 2016-02-04 02:13:55 EST
Created attachment 1121035 [details]
Screenshot of menu problem.

Description of problem:
I've only noticed this in libreoffice, but, it could be elsewhere.  When you click on a pull-down menu and select one of the menu options, the highlighted text is invisible/wrong color.  Similarly, the menu title changed color from black to white which is wrong (I think).  I don't think this happens with Adwaita, for example, but I don't really know what any of the other styles are supposed to look like, so...

Version-Release number of selected component (if applicable):
libreoffice-writer-5.0.4.2-3.fc23.x86_64
xfwm4-4.12.3-2.fc23.x86_64

How reproducible:
Ever since F23 upgrade.

Steps to Reproduce:
1. Select "Simple" style in Xfce Appearance settings
1. Try to use menus in some applications

Actual results:
See attachment

Expected results:
Different colors.

Additional Info:
BTW, using Xfce-4.6 style, the screenshot tool has no window frame at all.  Also, using Xfce style, evince buttons are missing shadow and window frame is missing.  Seems like a lot of the preset styles are not working correctly, especially with GTK3 stuff.
Comment 1 Raphael Groner 2016-02-04 04:05:51 EST
You may have to use a Gtk3 compatible theme. Simple is obviously not compatible with Gtk3. Your issue is related to theme but neither to xfwm4 nor libreoffice.
Comment 2 Paul DeStefano 2016-02-04 14:24:59 EST
Poor Kevin.  My bugs always end up with you. ;-)

Rapheal,

1) Why do you say obviously?  We've had GTK3 applications since F20 or something, but there wasn't any problem with Xfce-simple.  I have no reason to expect themes have GTK3 compatibility or non-compatibility.
2) How would I know which themes are supposed to be compatible with GTK3?
3) Furthermore, Xfce themes have been broken and fixed before.  Shouldn't this bug go to the Xfce-related package responsible for the themes?
Comment 3 Raphael Groner 2016-02-04 14:45:50 EST
(In reply to Paul DeStefano from comment #2)
> 1) Why do you say obviously?  We've had GTK3 applications since F20 or
> something, but there wasn't any problem with Xfce-simple.  I have no reason
> to expect themes have GTK3 compatibility or non-compatibility.

Gtk3 changed the API for themes a lot of times  in recent past. Xfce added partly support for Gtk3 finally in version 4.12 recently released.

> 2) How would I know which themes are supposed to be compatible with GTK3?

Hmm. That's a valid point to discuss. Maybe ask upstream to add a warning about incompatible themes?

> 3) Furthermore, Xfce themes have been broken and fixed before.  Shouldn't
> this bug go to the Xfce-related package responsible for the themes?

see 1.
Comment 4 Paul DeStefano 2016-02-04 15:00:34 EST
Cool, I understand now.  Thanks.
Comment 5 Paul DeStefano 2016-02-04 18:14:42 EST
So, I talked to #Xfce and they said it was the package maintainer's responsibility to provide working themes with the initial/basic install of Xfce desktop.  Also, FYI, any theme not converted to CSS will stop working on the next release.

So, I guess what I want to report here is that (nearly) all of the Xfce themes provided are broken for GTK+3.  Seems like that may or may not be intentional; I don't know.
Comment 6 Mukundan Ragavan 2016-02-04 20:35:17 EST
Paul, one quick question - 

do you see the same/similar behavior with any of the following themes?

clearlooks
crux
glossy

Thanks!
Comment 7 Paul DeStefano 2016-02-04 23:10:34 EST
Nope, those look fine.
Comment 8 Raphael Groner 2016-02-05 03:06:03 EST
Okay, let's guess this hits a lot of users cause not one theme only.
Comment 9 Kevin Fenzi 2016-02-08 09:07:13 EST
So, a few things here: 

You can usually tell what themes are gtk3 aware by them having both a gtk2 and a gtk3 subpackage. (Although not always). 

We should likely review the themes we provide on the Xfce spin and make sure they are all up to snuff and remove the ones that have many problems. 

You may find it handy in Xfce at least to use xfce-theme-manager which will let you see and pick and choose which themes you want for what. 

Simple is actually a theme provided by the 'gnome-themes' package, so I think this bug should be moved there.
Comment 10 Fedora End Of Life 2016-11-24 10:23:09 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2016-12-20 13:25:22 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Raphael Groner 2016-12-20 13:43:16 EST
It's really sad to see that Gtk2 compatibility for other environments using the same subprojects is now obviously pointless in GNOME.

Note You need to log in before you can comment on or make changes to this bug.